Groovy 1.7.10

## org.codehaus.groovy.tools.shell
[Groovy] Class CommandRegistry

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandRegistry

    class CommandRegistry
    extends Object

A registry of shell Command instances which may be executed.

Authors:
  Jason Dillon

Version:
  \$Id: CommandRegistry.groovy 7581 2007-08-23 01:47:47Z user57 \$

Field Summary
`protected Logger` | `log`

Property Summary
`List` | `commands` A list of all of the registered commands.

Method Summary
`List` | `commands()`
`Command` | `find(String name)`
`def` | `getProperty(String name)`
`Iterator` | `iterator()`
`def` | `leftShift(Command command)`
`Command` | `register(Command command)`
`void` | `remove(Command command)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### log

    protected final Logger log

Property Detail

### commands

    final List commands

  A list of all of the registered commands.

Method Detail

### commands

    List commands()

### find

    Command find(String name)

### getProperty

    def getProperty(String name)

### iterator

    Iterator iterator()

### leftShift

    def leftShift(Command command)

### register

    Command register(Command command)

### remove

    void remove(Command command)

Copyright © 2003-2010 The Codehaus. All rights reserved.